Signup Min-KYC

Implement this API to onboard an outlet to the InstantPay platform. InstantPay will update the outlet profile if it's already registered.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header reference Click here

Request Parameters

Parameter KeyRequirementDescriptions
mobileMandatoryMobile Number of the outlet
(Mobile Number should be same as registered with Aadhaar)
nameMandatoryName of the merchant as per PAN
genderMandatoryGender of the merchant (It will be M,F or T)
panMandatoryPAN of merchant
(only individual PAN is allowed)
emailMandatoryEmail Address of the Merchant (recommended as in Aadhaar)
addressMandatoryAddress Array
address.fullMandatoryFull address of the Merchant
address.cityMandatoryCity Name of the Merchant
address.pincodeMandatoryAddress pincode
aadhaarMandatoryEncrypted Aadhar Number with algorithm aes-256-cbc
dateOfBirthMandatoryUser date of birth format ( YYYY-MM-DD)
latitudeMandatoryExact location of the Merchant must be represented in degrees
longitudeMandatoryExact location of the Merchant must be represented in degrees

Sample Request

curl --location 'https://api.instantpay.in/user/outlet/signup/minKyc' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endpointIP}}' \
--data-raw '{
    "mobile": "9876543210",
    "name" : "Sample Name",
    "gender" : "M",
    "pan": "ABCDE1234F",
    "email": "[email protected]",
    "address": {
        "full": "MCIE, Badarpur",
        "city": "New Delhi",
        "pincode": "202001"
    },
    "aadhaar": "ZDEzNTg1OWQzNmE5NmY5ZG4koGZnmLAlV2Of7dgQyBI=",
    "dateOfBirth": "1990-04-05",
    "latitude": "21.91223",
    "longitude": "82.019339"
}'
POST /user/outlet/signup/minKyc HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endpointIP}}
Content-Length: 423

{
    "mobile": "9876543210",
    "name" : "Sample Name",
    "gender" : "M",
    "pan": "ABCDE1234F",
    "email": "[email protected]",
    "address": {
        "full": "MCIE, Badarpur",
        "city": "New Delhi",
        "pincode": "202001"
    },
    "aadhaar": "ZDEzNTg1OWQzNmE5NmY5ZG4koGZnmLAlV2Of7dgQyBI=",
    "dateOfBirth": "1990-04-05",
    "latitude": "21.91223",
    "longitude": "82.019339"
}
📘

Note :

Latitude and Longitude must be represented in degrees with 4 digits after decimal.

Please ensure that the address entered is the same as the address registered with Aadhaar.

The name and date of birth must exactly match the details registered with PAN.

Response Parameters

Parameter KeyTypeDescription
outletIdStringUnique Merchant Outlet Id
nameStringMerchant Name
dateOfBirthStringDate of birth Format (YYYY-MM-DD)
genderStringM - Male / F - Female /T - Transgender
pincodeStringArea Pincode
stateStringMerchant State Name
districtNameStringMerchant District name
addressStringMerchant Address
profilePicStringMerchant profile Pic

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "outletId": 37464,
        "name": "A**HIT G**TA",
        "dateOfBirth": "1999-02-22",
        "gender": "M",
        "pincode": "2*2**1",
        "state": "UTTAR PRADESH",
        "districtName": "ALIGARH",
        "address": "13/52 SARAI ***** GT ROAD *****",
        "profilePic": null
    },
    "timestamp": "2023-08-01 17:56:51",
    "ipay_uuid": "h00099c92a83-dc41-4acf-859d-5cdd879e6d45",
    "orderid": "1230801175651SDQQE",
    "environment": "SANDBOX",
    "internalCode": null
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json